Package org.springframework.security.web.session

# Class HttpSessionDestroyedEvent

java.lang.Object
java.util.EventObject
org.springframework.context.ApplicationEvent
org.springframework.security.core.session.AbstractSessionEvent
org.springframework.security.core.session.SessionDestroyedEvent
org.springframework.security.web.session.HttpSessionDestroyedEvent

All Implemented Interfaces:
  `Serializable`

public class HttpSessionDestroyedEvent extends org.springframework.security.core.session.SessionDestroyedEvent
Published by the `HttpSessionEventPublisher` when a HttpSession is removed from the container

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`HttpSessionDestroyedEvent(jakarta.servlet.http.HttpSession session)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getId()`
`List<org.springframework.security.core.context.SecurityContext>`
`getSecurityContexts()`
`jakarta.servlet.http.HttpSession`
`getSession()`

### Methods inherited from class org.springframework.context.ApplicationEvent

`getTimestamp`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HttpSessionDestroyedEvent

public HttpSessionDestroyedEvent(jakarta.servlet.http.HttpSession session)

## Method Details

### getSession

public jakarta.servlet.http.HttpSession getSession()

### getSecurityContexts

public List<org.springframework.security.core.context.SecurityContext> getSecurityContexts()

Specified by:
  `getSecurityContexts` in class `org.springframework.security.core.session.SessionDestroyedEvent`

### getId

public String getId()

Specified by:
  `getId` in class `org.springframework.security.core.session.SessionDestroyedEvent`